<template>
  <b-container class="mt-5">
    <b-row>
      <b-col cols="12" md="6" class="mx-auto">
        <b-card title="Login">
          <b-form @submit.prevent="login">
            <b-form-group label="Username:" label-for="username-input">
              <b-form-input
                  id="username-input"
                  v-model="username"
                  type="text"
                  placeholder="Enter username"
                  required
              ></b-form-input>
            </b-form-group>

            <b-form-group label="Password:" label-for="password-input">
              <b-form-input
                  id="password-input"
                  v-model="password"
                  type="password"
                  placeholder="Enter password"
                  required
              ></b-form-input>
            </b-form-group>

            <b-button type="submit" variant="primary">Login</b-button>
          </b-form>
        </b-card>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import { login } from '@/provider/provider';

export default {
  name: 'UserLogin',
  data() {
    return {
      username: '',
      password: '',
    };
  },
  methods: {
    async login() {
      try {
        const response = await login(this.username, this.password);
        if(response.status === 200) {
          this.$router.push('/notification');
        }
      } catch (error) {
        alert('Login error');
      }
    },
  },
};
</script>
